import QtQuick 2.0
import Ubuntu.Components 1.3
import "CalculatorLogic.js" as CalculatorLogic

Item {

    // Es importante actualizar la dimensión del Item o no saldrán los botones
    width: buttonWitdth
    height: labelLeft.height + 10 + button.height

    property color gradcolor: UbuntuColors.graphite
    property color originalColor

    property alias text: label.text
    property alias textLeft: labelLeft.text
    property alias textRight: labelRight.text

    property alias buttonWitdth: button.width
    property alias buttonHeight: button.height

    Label {
        id: labelLeft

        anchors.top: parent.top
        anchors.left: parent.left

        text: " "
        font.pointSize: 14
        font.bold: true
        color: "yellow"
    }

    Label {
        id: labelRight

        anchors.top: parent.top
        anchors.right: button.right

        text: " "
        font.pointSize: 14
        font.bold: true

        color: "orange"
    }

    Rectangle {

        anchors.top: labelLeft.bottom

        id: button
        width: 100
        height: 60
        color: "black"
        smooth: true
        radius: 12

        border {
            color: "#B9C5D0"
            width: 1
        }

        gradient: Gradient {
            GradientStop {
                color: Qt.lighter(gradcolor)
                position: 0.0
            }
            GradientStop {
                color: gradcolor
                position: 0.5
            }
            GradientStop {
                color: Qt.darker(gradcolor)
                position: 1
            }
        }

        Text {
            id: label
            anchors.centerIn: parent
            text: "Click Me!"
            font.pointSize: 16
            font.bold: true

            color: "white"
        }

        MouseArea {

            id: mouseArea

            anchors.fill: parent

            // Permitirá modificar el botón cuando el ratón pasa por encima
            hoverEnabled: true

            onPressed: {

                console.log(text + " clicked")

                originalColor = gradcolor
                gradcolor = Qt.lighter(gradcolor)

                CalculatorLogic.insertButton(text)
            }

            onReleased: {

                //console.log(text + " released")
                gradcolor = originalColor
            }
        }
    }
}
