import QtQuick 2.4
import Ubuntu.Components 1.3
import "CalculatorLogic.js" as Calculator


/*!
    \brief MainView with a Label and Button elements.
                                                                                                */
MainView {
    // objectName for functional testing purposes (autopilot-qt5)
    objectName: "mainView"

    // Note! applicationName needs to match the "name" field of the click manifest
    applicationName: "calculadora.innerzaurus"

    width: units.gu(90)
    height: units.gu(120)

    // Variables para el tamaño de los botones
    property real columnSeparation: 10
    property real buttonWidthScientific: (page.width - 5 * columnSeparation) / 6

    property real buttonHeight: page.height / 15
    property real buttonHeightScientific: page.height / 20
    property real buttonWithBasic: (page.width - 4 * columnSeparation) / 5
    backgroundColor: UbuntuColors.graphite

    Page {

        id: page

        // -----------------------------
        // Cabecera de la aplicación
        // -----------------------------
        header: PageHeader {
            id: pageHeader
            title: i18n.tr("Calculadora")
            StyleHints {
                foregroundColor: UbuntuColors.orange
                backgroundColor: UbuntuColors.porcelain
                dividerColor: UbuntuColors.slate
            }
        }

        // ----------------------------
        // Etiqueta para el resultado
        // ----------------------------
        Display {
            id: display

            anchors.top: pageHeader.bottom
            anchors.bottom: scientificCalculator.top
            anchors.left: pageHeader.left
            anchors.right: pageHeader.right
        }

        ScientificCalculator {
            id: scientificCalculator
            anchors.bottom: basicCalculator.top
        }

        BasicCalculator {
            id: basicCalculator
            anchors.bottom: page.bottom
        }
    }

    // Cuando se ha inicializado el archivo QML hacemos lo mismo con el archivo de JavaScript
    Component.onCompleted: Calculator.init()
}
