// ******************************************************************************************
// Project: Curso de programación de Ubuntu Touch
// Author: Miguel Menéndez (mimecar)
// Info: https://www.gitbook.com/book/mimecar/curso-de-programacion-de-ubuntu-phone-touch
// ******************************************************************************************


Qt.include("CalculatorLogic.js")

// Componentes del archivo QML que usaremos
var display

var labelFirstNumber
var labelOperation = operation
var labelSecondNumber = segundoNumero
var labelResult = resultado



// Variables que intervienen en el cálculo
var firstNumber = 0
var operation = ""
var secondNumber = 0
var isSecondNumberReady = false

/**
   Conecta el archivo QML con el archivo JavaScript
       */
function start(firstNumberComponent, operationComponent, secondNumberComponent, resultComponent) {

    // Log en la consola
    console.log("Calculadora conectada al archivo JS")

    // Asignación de las variables
    labelFirstNumber = firstNumberComponent
    labelOperation = operationComponent
    labelSecondNumber = secondNumberComponent
    labelResult = resultComponent
}

/**
  * Introduce el número asociado al botón en las variables del cálculo
      */
function insertNumber(number) {

    if (isSecondNumberReady == false) {

        // Componemos el número y actualizamos la etiqueta de resultado
        firstNumber = firstNumber * 10 + parseInt(number)
        labelResult.text = firstNumber

        // Indicación del estado de la operacion
        labelFirstNumber.color = UbuntuColors.orange
        labelOperation.color = UbuntuColors.graphite
        labelSecondNumber.color = UbuntuColors.graphite
    } else {

        // Componemos el número y actualizamos la etiqueta de resultado
        secondNumber = secondNumber * 10 + parseInt(number)
        labelResult.text = firstNumber + " " + operation + " " + secondNumber

        // Indicación del estado de la operación
        labelFirstNumber.color = UbuntuColors.graphite
        labelOperation.color = UbuntuColors.graphite
        labelSecondNumber.color = UbuntuColors.orange
    }
}

/**
  * Introduce la operación en las variables dle cálculo
      */
function insertOperation(userOperation) {

    operation = userOperation
    labelResult.text = firstNumber + " " + operation

    // Indicación del estado de la operación
    isSecondNumberReady = true
    labelFirstNumber.color = UbuntuColors.graphite
    labelOperation.color = UbuntuColors.orange
    labelSecondNumber.color = UbuntuColors.graphite

}

/**
 * Realiza la operation de cálculo. Incluye una validación rápida en la división
      */
function calculate() {

    if (operation == "+") {
        resultado.text = firstNumber + secondNumber
    } else if (operation == "-") {
        resultado.text = firstNumber - secondNumber
    } else if (operation == "*") {
        resultado.text = firstNumber * secondNumber
    } else if (operation == "/") {
        if (secondNumber != 0) {
            resultado.text = firstNumber / secondNumber
        } else {
            resultado.text = "No se puede dividir por cero"
        }
    }

    // Indicación del estado de la operación
    labelFirstNumber.color = UbuntuColors.graphite
    labelOperation.color = UbuntuColors.graphite
    labelSecondNumber.color = UbuntuColors.graphite

    // Inicializamos las variables para la siguiente iteración
    firstNumber = 0
    operation = ""
    secondNumber = 0
    isSecondNumberReady = false
}


