import QtQuick 2.4
import Ubuntu.Components 1.3


/*!
    \brief MainView with a Label and Button elements.
            */
MainView {
    // objectName for functional testing purposes (autopilot-qt5)
    objectName: "mainView"

    // Note! applicationName needs to match the "name" field of the click manifest
    applicationName: "calculadora.mimecar"

    width: units.gu(75)
    height: units.gu(100)

    Page {

        header: PageHeader {
            id: pageHeader
            title: i18n.tr("Calculadora")
            StyleHints {
                foregroundColor: UbuntuColors.orange
                backgroundColor: UbuntuColors.porcelain
                dividerColor: UbuntuColors.slate
            }
        }

        Column {

            anchors.top: pageHeader.bottom

            // Primera columna
            Column {

                anchors.top: pageHeader.bottom
                id: column1

                // Fila 1
                Row {
                    Label {
                        text: "7"
                    }

                    Label {
                        text: "8"
                    }

                    Label {
                        text: "9"
                    }
                }

                // Fila 2
                Row {
                    Label {
                        text: "4"
                    }

                    Label {
                        text: "5"
                    }

                    Label {
                        text: "6"
                    }
                }

                // Fila 3
                Row {
                    Label {
                        text: "1"
                    }

                    Label {
                        text: "2"
                    }

                    Label {
                        text: "3"
                    }
                }

                // Fila 4
                Row {
                    Label {
                        text: "0"
                    }

                    Label {
                        text: "."
                    }

                    Label {
                        text: "EXP"
                    }
                }
            }
        }
    }
}
