import QtQuick 2.4
import Ubuntu.Components 1.3


/*!
    \brief MainView with a Label and Button elements.
                        */
MainView {
    // objectName for functional testing purposes (autopilot-qt5)
    objectName: "mainView"

    // Note! applicationName needs to match the "name" field of the click manifest
    applicationName: "calculadora.mimecar"

    width: units.gu(75)
    height: units.gu(100)

    Page {

        id: page

        header: PageHeader {
            id: pageHeader
            title: i18n.tr("Calculadora")
            StyleHints {
                foregroundColor: UbuntuColors.orange
                backgroundColor: UbuntuColors.porcelain
                dividerColor: UbuntuColors.slate
            }
        }

        Grid {
            anchors.bottom: page.bottom
            spacing: 10
            columns: 5

            // Fila 1
            Button {
                text: "7"
                color: UbuntuColors.graphite
            }

            Button {
                text: "8"
                color: UbuntuColors.graphite
            }

            Button {
                text: "9"
                color: UbuntuColors.graphite
            }

            Button {
                text: "DEL"
                color: UbuntuColors.red
            }

            Button {
                text: "AC"
                color: UbuntuColors.red
            }

            // Fila 2
            Button {
                text: "4"
                color: UbuntuColors.graphite
            }

            Button {
                text: "5"
                color: UbuntuColors.graphite
            }

            Button {
                text: "6"
                color: UbuntuColors.graphite
            }

            Button {
                text: "*"
                color: UbuntuColors.warmGrey
            }

            Button {
                text: "/"
                color: UbuntuColors.warmGrey
            }

            // Fila 3
            Button {
                text: "1"
                color: UbuntuColors.graphite
            }
            Button {
                text: "2"
                color: UbuntuColors.graphite
            }

            Button {
                text: "3"
                color: UbuntuColors.graphite
            }

            Button {
                text: "+"
                color: UbuntuColors.warmGrey
            }

            Button {
                text: "-"
                color: UbuntuColors.warmGrey
            }

            // Fila 4
            Button {
                text: "0"
                color: UbuntuColors.graphite
            }

            Button {
                text: "."
                color: UbuntuColors.graphite
            }

            Button {
                text: "EXP"
                color: UbuntuColors.graphite
            }

            Button {
                text: "ANS"
                color: UbuntuColors.graphite
            }

            Button {
                text: "="
                color: UbuntuColors.graphite
            }
        }
    }
}
